# Stargate
Stargate is a holistic audio production solution, everything you need to make
music on a computer.  To understand what Stargate is, and why, read the
[project design principles](docs/project_design_principles.md).

# Links
- [Learn Stargate by watching Youtube Videos](
  https://www.youtube.com/channel/UC0xYkPBN3cqMMaTQxc38Rfw)
- [Chat with us on Discord](https://discord.gg/7mP5psUN7D)
- [Get the latest Stargate news on Twitter](https://twitter.com/stargatedaw)

# Features
- A digital audio workstation (DAW) with a powerful pattern-based workflow
- A comprehensive suite of built-in instrument and effect plugins
- A basic wave editor
- Broad audio and MIDI hardware support using Portaudio and Portmidi
- Powerful track routing matrix with easy sidechaining
- Modular mixer architecture.  Mixer channels are a type of plugin that can
  be chosen per track send, mix and match plugins, or skip them when not needed
- Runs on Windows, Mac and Linux, x86 and ARM.  Can be ported to other
  platforms if there is sufficient demand
- Everything you need to create music in a single package, no need to install
  additional software
- Revolutionary CPU efficiency for DAW and plugins, minimum recommended
  hardware: Raspberry Pi 4, or a 15 year old laptop with a
  dual core CPU, 1GB of RAM and a 720p display.
- Support for display resolution from 720p to 4k and above.
- Optional portable flash drive install on Windows

# Building
[See the building instructions](docs/building.md "Building")

# Screenshots
![Sequencer](assets/sequencer.png?raw=true "Sequencer")

![Audio Item](assets/audio_item.png?raw=true "Audio Item")

![Note Item](assets/note_item.png?raw=true "Note Item")

![Plugins](assets/plugins.png?raw=true "Plugins")

![Routing](assets/routing.png?raw=true "Routing")

# Licensing

Stargate is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, under version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

For details on the GNU General Public License, see [the license](LICENSE).
